#!/usr/bin/env python3

from os import environ
from flask import Flask, request
from functools import cache
from subprocess import check_output
import json

app = Flask(__name__)

@app.route('/', methods = ['GET'])
def build():
    strategy = request.args['strategy']
    hook_data = request.get_json()
    print(json.dumps(hook_data, sort_keys=True, indent=4))
    return check_output([f"/{environ['STRATEGIES_DIR']}/{strategy}", json.dumps(hook_data)])
